org.jboss.jca.core.workmanager.selector

## Class PingTime

- java.lang.Object
- - org.jboss.jca.core.workmanager.notification.AbstractNotificationListener
  - - org.jboss.jca.core.workmanager.selector.AbstractSelector
    - - org.jboss.jca.core.workmanager.selector.PingTime

- All Implemented Interfaces:
    org.jboss.jca.core.spi.workmanager.notification.NotificationListener, org.jboss.jca.core.spi.workmanager.selector.Selector

      public class PingTime
      extends AbstractSelector

  The ping time selector
  Author:
    Jesper Pedersen

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.core.workmanager.notification.AbstractNotificationListener

      `longRunning, shortRunning`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PingTime()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.jca.core.spi.workmanager.Address` | `selectDistributedWorkManager(org.jboss.jca.core.spi.workmanager.Address own, javax.resource.spi.work.DistributableWork work)` Select a distributed work manager

    - ### Methods inherited from class org.jboss.jca.core.workmanager.selector.AbstractSelector

      `getSelectionMap`

    - ### Methods inherited from class org.jboss.jca.core.workmanager.notification.AbstractNotificationListener

      `deltaDoWorkAccepted, deltaDoWorkRejected, deltaScheduleWorkAccepted, deltaScheduleWorkRejected, deltaStartWorkAccepted, deltaStartWorkRejected, deltaWorkFailed, deltaWorkSuccessful, join, leave, updateLongRunningFree, updateShortRunningFree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PingTime

          public PingTime()

      Constructor

  - ### Method Detail

    - #### selectDistributedWorkManager

          public org.jboss.jca.core.spi.workmanager.Address selectDistributedWorkManager(org.jboss.jca.core.spi.workmanager.Address own,
                                                                                         javax.resource.spi.work.DistributableWork work)

      Select a distributed work manager
      Specified by:
        `selectDistributedWorkManager` in interface `org.jboss.jca.core.spi.workmanager.selector.Selector`
      Specified by:
        `selectDistributedWorkManager` in class `AbstractSelector`
      Parameters:
        `own` - The address of the invoking distributed work manager
        `work` - The work instance
      Returns:
        The address of the selected distributed work manager; `null` if none could be selected

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)